Open Bug 1559591 Opened 5 months ago Updated 2 months ago

Intermittent leakcheck | tab 488 bytes leaked (ServiceWorkerJob, ServiceWorkerJobQueue, ServiceWorkerJobQueue::Callback, nsAuthURLParser, nsJSPrincipals, ...)

Categories

(DevTools :: General, defect, P5)

defect

Tracking

(Not tracked)

REOPENED

People

(Reporter: intermittent-bug-filer, Assigned: yulia)

References

(Regression)

Details

(Keywords: intermittent-failure, leave-open, regression, Whiteboard: [stockwell disabled][stockwell needswork])

Attachments

(3 files)

Filed by: apavel [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=252026599&repo=mozilla-central
Full log: https://queue.taskcluster.net/v1/task/fuWt6ruDR12POqC9P3gZ-w/runs/0/artifacts/public/logs/live_backing.log


[task 2019-06-15T11:11:55.770Z] 11:11:55 INFO - TEST-START | devtools/client/application/test/browser_application_panel_unregister-worker.js
[task 2019-06-15T11:11:55.771Z] 11:11:55 INFO - GECKO(1808) | ++DOCSHELL 0x7eff919c9800 == 1 [pid = 2227] [id = {f3f98f47-5e28-4f49-88cb-a92eddfaf648}]
[task 2019-06-15T11:11:55.772Z] 11:11:55 INFO - GECKO(1808) | ++DOMWINDOW == 1 (0x7eff92279660) [pid = 2227] [serial = 1] [outer = (nil)]

[task 2019-06-15T11:12:21.244Z] 11:12:21 INFO - nsTraceRefcnt::DumpStatistics: 435 entries
[task 2019-06-15T11:12:21.244Z] 11:12:21 INFO - TEST-INFO | leakcheck | tab leaked 1 ServiceWorkerJob
[task 2019-06-15T11:12:21.245Z] 11:12:21 INFO - TEST-INFO | leakcheck | tab leaked 1 ServiceWorkerJobQueue
[task 2019-06-15T11:12:21.246Z] 11:12:21 INFO - TEST-INFO | leakcheck | tab leaked 1 ServiceWorkerJobQueue::Callback
[task 2019-06-15T11:12:21.247Z] 11:12:21 INFO - TEST-INFO | leakcheck | tab leaked 1 nsAuthURLParser
[task 2019-06-15T11:12:21.247Z] 11:12:21 INFO - TEST-INFO | leakcheck | tab leaked 1 nsJSPrincipals
[task 2019-06-15T11:12:21.248Z] 11:12:21 INFO - TEST-INFO | leakcheck | tab leaked 1 nsStandardURL
[task 2019-06-15T11:12:21.249Z] 11:12:21 INFO - TEST-INFO | leakcheck | tab leaked 2 nsStringBuffer
[task 2019-06-15T11:12:21.250Z] 11:12:21 INFO - TEST-INFO | leakcheck | tab leaked 2 nsTArray_base
[task 2019-06-15T11:12:21.251Z] 11:12:21 INFO - TEST-UNEXPECTED-FAIL | leakcheck | tab 488 bytes leaked (ServiceWorkerJob, ServiceWorkerJobQueue, ServiceWorkerJobQueue::Callback, nsAuthURLParser, nsJSPrincipals, ...)
[task 2019-06-15T11:12:21.251Z] 11:12:21 INFO -
[task 2019-06-15T11:12:21.252Z] 11:12:21 INFO - leakcheck | Processing leak log file /tmp/tmplc9dYK.mozrunner/runtests_leaks_tab_pid2093.log
[task 2019-06-15T11:12:21.253Z] 11:12:21 INFO -
[task 2019-06-15T11:12:21.254Z] 11:12:21 INFO - == BloatView: ALL (cumulative) LEAK AND BLOAT STATISTICS, tab process 2093

Yulia is it possible that this is from bug 1494796?

The leaks are in browser_application_panel_unregister-worker.js

There are 24 total failures in the last 3 days on linux64 and linux64-ccov debug.

Flags: needinfo?(ystartsev)

Hi pavel, it might be related to https://bugzilla.mozilla.org/show_bug.cgi?id=1559487

The test for starting the workers was recently added and is testing some behavior that is going to be deprecated. that regression might be leaking into the unregister-worker test. It seems like it has been causing issues in other areas as well. I can disable it for all linux platforms.

Flags: needinfo?(ystartsev)

due to leaks related to this test on other linux platforms, we might want to disable this
test on linux in general

Pushed by ystartsev@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/206c83bae55d
disable start-service-worker test r=jdescottes,yulia
Status: NEW → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 69
Assignee: nobody → ystartsev
Status: RESOLVED → REOPENED
Keywords: leave-open
Resolution: FIXED → ---
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Target Milestone: Firefox 69 → ---

Recent spikes here are from bug 1554707, Ola, please take a look.

Flags: needinfo?(ogasidlo)
Regressed by: 1554707

My patch did not change the test, but the structure.
I'll ni? :ladybenko as she added the test and likely has more context.

Also, as its causing trouble it might be safe to disable the test on further plattforms. :jdescottes, what do you think?

Flags: needinfo?(ogasidlo)
Flags: needinfo?(jdescottes)
Flags: needinfo?(balbeza)

I need to investigate further. We have had similar problems in asan with remote debugging and service workers, that we had to disable (see bug 1522800 and bug 1527224). Maybe it's related, but in the meantime we should probably disable these tests.

Flags: needinfo?(balbeza)

Given that sw debugging is being refactored we are testing a soon-to-be-deprecated setup here. Maybe skip all the application panel worker tests on debug?

Flags: needinfo?(jdescottes)

:Joel, Hi, how should we proceed here, should we follow Julian's suggestion?

Flags: needinfo?(jmaher)

:jdescottes, what will be deprecated and what should we disable for now. I see we leak in this directory:
https://searchfox.org/mozilla-central/source/devtools/client/application/test/browser/browser.ini

Here are the tests:
[browser_application_panel_debug-service-worker.js]
[browser_application_panel_list-domain-workers.js]
[browser_application_panel_list-several-workers.js]
[browser_application_panel_list-single-worker.js]
[browser_application_panel_list-workers-empty.js]
[browser_application_panel_list-unicode.js]
[browser_application_panel_open-links.js]
skip-if = true # Bug 1467256
[browser_application_panel_unregister-worker.js]
[browser_application_panel_start-service-worker.js]

I am unclear which of these are related to service-workers. FWIW, we can disable on osx/debug only and solve this problem.

Flags: needinfo?(jmaher) → needinfo?(jdescottes)

Joel, I am referring to https://bugzilla.mozilla.org/show_bug.cgi?id=1231213 which will introduce massive changes to how serviceworkers work. It's close to landing, but the progress as stalled for a while on reviews.

I am very reluctant to invest too much time in investigation until this lands.

Most of the tests in the list above are related to service workers except for browser_application_panel_open-links.js and browser_application_panel_list-workers-empty.js, that's why I suggest skipping the whole suite here, in osx/debug.

:Ola : do you agree with the suggestion above?

Flags: needinfo?(jdescottes) → needinfo?(ogasidlo)

Yes, I do.

Flags: needinfo?(ogasidlo)
Pushed by rgurzau@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4ed198c67904
disabled a few browser_application_panel tests to avoid leaks r=jmaher

There are 31 failures associated to this bug in the last 7 days. These are occurring on linux 64 debug builds.

Flags: needinfo?(pbrosset)
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork]

Looks like the failures occur on linux debug, and the tests disabled recently here were disabled on mac debug. Should we expand the skip-if to include all debug targets?

Flags: needinfo?(pbrosset) → needinfo?(ogasidlo)

+1 :pbro

Flags: needinfo?(ogasidlo)
Pushed by jdescottes@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/b871116505f9
Skip application panel service worker tests on debug platforms r=Ola

Julian, looks like the leaks moved to other tests, there are still failures from this, especially on fission tests. The good part is that the failure rate is about one third from what it used to be. Could you please have a second go over this? Thank you.
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-08-18&endday=2019-08-25&tree=trunk&bug=1559591

Flags: needinfo?(jdescottes)

No devtools tests are running in this suite, so I don't really know what's going on here. It might be an overall issue with the old service worker implementation.
Maybe Perry or Andrew can take a look as the leak stills mentions service workers:

[task 2019-08-25T10:55:36.028Z] 10:55:36     INFO - TEST-INFO | leakcheck | tab leaked 1 ServiceWorkerJob
[task 2019-08-25T10:55:36.030Z] 10:55:36     INFO - TEST-INFO | leakcheck | tab leaked 1 ServiceWorkerJobQueue
[task 2019-08-25T10:55:36.030Z] 10:55:36     INFO - TEST-INFO | leakcheck | tab leaked 1 ServiceWorkerJobQueue::Callback
Flags: needinfo?(perry)
Flags: needinfo?(jdescottes)
Flags: needinfo?(bugmail)

These new failures seem to be perma and I have filed bug 1578037 for them.

Looks like the tests have been disabled on Fis platforms now, clearing the ni?

Flags: needinfo?(perry)
Flags: needinfo?(bugmail)
You need to log in before you can comment on or make changes to this bug.